dev-python / urwidtrees

Tree widgets for urwid

Official package sites : https://github.com/pazz/urwidtrees ·

This is a Widget Container API for the urwid toolkit. It uses a MVC approach and allows to build trees of widgets.

v1.0.3 :: 0 :: gentoo

Modified
License
GPL-3
Keywords
amd64 ~x86
USE flags
doc

General

doc
Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally

python_targets

python3_8
Build with Python 3.8
python3_9
Build with Python 3.9

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-lang / python-exec : Python script wrapper

dev-python / urwid : Curses-based user interface library for Python

app-emulation / sen : Terminal User Interface for docker engine

mail-client / alot : Experimental terminal UI for net-mail/notmuch written in Python

Repository mirror & CI · gentoo
Merge updates from master
Guillaume Seren · gentoo
dev-python/urwidtrees: Fix mock dependency bug #770391
Closes: https://bugs.gentoo.org/770391 Package-Manager: Portage-3.0.17, Repoman-3.0.2 Signed-off-by: Guillaume Seren <guillaumeseren@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/20214 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Sam James · gentoo
dev-python/urwidtrees: add Python 3.9
Signed-off-by: Sam James <sam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove obsolete values from PYTHON_COMPAT
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Joonas Niilola · gentoo
dev-python/urwidtrees: stabilize 1.0.3 on amd64
Closes: https://bugs.gentoo.org/759211 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
dev-python/urwidtrees: Remove redundant versions
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Guillaume Seren · gentoo
dev-python/urwidtrees: Add version bump 1.0.3
Closes: https://bugs.gentoo.org/732360 Package-Manager: Portage-2.3.99, Repoman-2.3.23 Signed-off-by: Guillaume Seren <guillaumeseren@gmail.com> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
dev-python/urwidtrees: Remove redundant versions
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
dev-python/urwidtrees: Remove py2
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Clean PYTHON_COMPAT of obsolete impls
Closes: https://github.com/gentoo/gentoo/pull/14246 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Guillaume Seren · gentoo
dev-python/urwidtrees: Add python3_7 + EAPI7
Signed-off-by: Guillaume Seren <guillaumeseren@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/11515 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove python3_4 PYTHON_COMPAT correctly
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Amadeusz Żołnowski · gentoo
dev-python/urwidtrees: urwidtrees is compatible with Python 3
Add compatibility with the same Python versions as defined for dev-python/urwid. Package-Manager: Portage-2.3.6, Repoman-2.3.3
Amadeusz Żołnowski · gentoo
dev-python/urwidtrees: Remove older version
Version 1.0.1.1 is not available upstream anymore. Package-Manager: Portage-2.3.5, Repoman-2.3.2
Amadeusz Żołnowski · gentoo
dev-python/urwidtrees: Bump version
Sources URI has changed from PyPI to GitHub. Package-Manager: Portage-2.3.5, Repoman-2.3.2
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Amadeusz Żołnowski · gentoo
dev-python/urwidtrees: Add package
It is required for >=mail-client/alot-0.3.7. Package-Manager: portage-2.2.26